# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{bones}
  s.version = "3.4.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tim Pease"]
  s.date = %q{2010-06-21}
  s.default_executable = %q{bones}
  s.description = %q{Mr Bones is a handy tool that creates new Ruby projects from a code
skeleton. The skeleton contains some starter code and a collection of rake
tasks to ease the management and deployment of your source code. Several Mr
Bones plugins are available for creating git repositories, creating GitHub
projects, running various test suites and source code analysis tools.}
  s.email = %q{tim.pease@gmail.com}
  s.executables = ["bones"]
  s.extra_rdoc_files = ["History.txt", "README.rdoc", "bin/bones", "default/version.txt", "spec/data/foo/README.txt", "version.txt"]
  s.files = [".autotest", "History.txt", "README.rdoc", "Rakefile", "bin/bones", "default/.bnsignore", "default/History.txt.bns", "default/README.txt.bns", "default/Rakefile.bns", "default/bin/NAME.bns", "default/lib/NAME.rb.bns", "default/spec/NAME_spec.rb.bns", "default/spec/spec_helper.rb.bns", "default/test/test_NAME.rb", "default/version.txt", "lib/bones.rb", "lib/bones/annotation_extractor.rb", "lib/bones/app.rb", "lib/bones/app/command.rb", "lib/bones/app/create.rb", "lib/bones/app/file_manager.rb", "lib/bones/app/freeze.rb", "lib/bones/app/info.rb", "lib/bones/app/unfreeze.rb", "lib/bones/colors.rb", "lib/bones/gem_package_task.rb", "lib/bones/helpers.rb", "lib/bones/plugins/ann.rb", "lib/bones/plugins/bones_plugin.rb", "lib/bones/plugins/gem.rb", "lib/bones/plugins/notes.rb", "lib/bones/plugins/rdoc.rb", "lib/bones/plugins/test.rb", "lib/bones/plugins/yard.rb", "lib/bones/smtp_tls.rb", "spec/bones/app/file_manager_spec.rb", "spec/bones/app_spec.rb", "spec/bones_spec.rb", "spec/data/default/.bnsignore", "spec/data/default/History", "spec/data/default/NAME/NAME.rb.bns", "spec/data/default/README.txt.bns", "spec/data/default/Rakefile.bns", "spec/data/default/bin/NAME.bns", "spec/data/default/lib/NAME.rb.bns", "spec/data/foo/README.txt", "spec/data/foo/Rakefile", "spec/spec_helper.rb", "version.txt"]
  s.homepage = %q{http://rubygems.org/gems/bones}
  s.post_install_message = %q{--------------------------
 Keep rattlin' dem bones!
--------------------------
}
  s.rdoc_options = ["--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{codeforpeople}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Mr Bones is a handy tool that creates new Ruby projects from a code skeleton}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rake>, [">= 0.8.7"])
      s.add_runtime_dependency(%q<little-plugger>, [">= 1.1.2"])
      s.add_runtime_dependency(%q<loquacious>, [">= 1.6.4"])
      s.add_development_dependency(%q<rspec>, [">= 1.3.0"])
      s.add_development_dependency(%q<bones-git>, [">= 1.1.2"])
      s.add_development_dependency(%q<bones-extras>, [">= 1.2.4"])
    else
      s.add_dependency(%q<rake>, [">= 0.8.7"])
      s.add_dependency(%q<little-plugger>, [">= 1.1.2"])
      s.add_dependency(%q<loquacious>, [">= 1.6.4"])
      s.add_dependency(%q<rspec>, [">= 1.3.0"])
      s.add_dependency(%q<bones-git>, [">= 1.1.2"])
      s.add_dependency(%q<bones-extras>, [">= 1.2.4"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0.8.7"])
    s.add_dependency(%q<little-plugger>, [">= 1.1.2"])
    s.add_dependency(%q<loquacious>, [">= 1.6.4"])
    s.add_dependency(%q<rspec>, [">= 1.3.0"])
    s.add_dependency(%q<bones-git>, [">= 1.1.2"])
    s.add_dependency(%q<bones-extras>, [">= 1.2.4"])
  end
end
